<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.


function xmldb_block_contag_upgrade($oldversion = 0) {
    global $DB;
    //$dbman = $DB->get_manager();
    //echo $oldversion;
    $result = true;

    /// Add a new column newcol to the mdl_question_myqtype
    if ($result && $oldversion < 2010122201) {
        // Code to add the column, generated by the 'View PHP Code' option of the XMLDB editor.
        
        /// Define table contag_item_book to be created
        $table = new XMLDBTable('block_contag_item_book');
        
        /// Adding fields to table contag_item_book
        $table->addFieldInfo('id', XMLDB_TYPE_INTEGER, '10', XMLDB_UNSIGNED, XMLDB_NOTNULL, XMLDB_SEQUENCE, null, null, null);
        $table->addFieldInfo('course_id', XMLDB_TYPE_INTEGER, '10', XMLDB_UNSIGNED, XMLDB_NOTNULL, null, null, null, '0');
        $table->addFieldInfo('item_id', XMLDB_TYPE_INTEGER, '10', XMLDB_UNSIGNED, XMLDB_NOTNULL, null, null, null, '0');
        
        /// Adding keys to table contag_item_book
        $table->addKeyInfo('primary', XMLDB_KEY_PRIMARY, array('id'));
        $table->addKeyInfo('item_fk', XMLDB_KEY_FOREIGN, array('item_id'), 'mdl_course_modules', array('id'));
        
        /// Launch create table for contag_item_book
        $result = $result && create_table($table);
    }
    return $result;
}

?>